## apvlv 0.0.9.8

=== debian/changelog ===
apvlv (0.0.9.8-1ubuntu2) natty; urgency=low

  * Invert y coordinates in pagetext in 01_fix-poppler-1.14.1.patch
  * Add bug link to 01_fix-poppler-1.14.1.patch

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sun, 27 Feb 2011 12:32:39 +0800

apvlv (0.0.9.8-1ubuntu1) natty; urgency=low

  * Use 3.0 (quilt) source format for patches
  * Fix FTBFS with new libpoppler (0.14.1)
  * Update maintainer
  * Bump libpoppler-glib-dev version in build-depends

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sat, 19 Feb 2011 21:35:36 +0800

apvlv (0.0.9.8-1) unstable; urgency=low

  [Lukas Gaertner]
  * Adopt package (Closes: #607320)

  [Stefan Ritter]
  * Add libdjvulibre-dev to build dependencies (Closes: #602010)
  * Bump Standards-Version to 3.9.1
  * Imported Upstream version 0.0.9.8

 -- Lukas Gaertner <lukas.gaertner@credativ.de>  Thu, 23 Dec 2010 15:28:02 +0100

apvlv (0.0.9.7-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.0
  * Update debian/desktop, thanks to the gentoo maintainer of apvlv
  * Fix debian/watch

 -- Stefan Ritter <xeno@thehappy.de>  Sun, 04 Jul 2010 22:39:00 +0200

apvlv (0.0.9.6-1) unstable; urgency=low

  * New upstream release
  * Add debian/source/format (source 1.0)

 -- Stefan Ritter <xeno@thehappy.de>  Tue, 20 Apr 2010 13:53:00 +0200

apvlv (0.0.9.5-1) unstable; urgency=low

  * New upstream release (Closes: #576081, #576082)

 -- Stefan Ritter <xeno@thehappy.de>  Wed, 07 Apr 2010 11:13:08 +0200

apvlv (0.0.9.3-1) unstable; urgency=low

  * New upstream release
  * Bumped Standards-Version to 3.8.4, no changes needed

 -- Stefan Ritter <xeno@thehappy.de>  Thu, 04 Feb 2010 15:11:57 +0200

apvlv (0.0.9.2-1) unstable; urgency=low

  * New upstream release (Closes: #558893)

 -- Stefan Ritter <xeno@thehappy.de>  Wed, 20 Jan 2010 13:54:00 +0200

apvlv (0.0.9-1) unstable; urgency=low

  * New upstream release (Closes: #562495)
    Thanks to Daniel Friesel for the manpage

 -- Stefan Ritter <xeno@thehappy.de>  Thu, 07 Jan 2010 09:17:00 +0200

apvlv (0.0.8.1-1) unstable; urgency=low

  * New upstream release (Closes: #558833, #558894)

 -- Stefan Ritter <xeno@thehappy.de>  Fri, 11 Dec 2009 12:50:00 +0200

apvlv (0.0.8.0-1) unstable; urgency=low

  * New upstream release
  * Removed patchsystem and using a debhelper 5 compatible rules file
  * Removed encoding from desktop file since it is deprecated by the 
    FreeDesktop standard
  * Removed apvlvrc.example from /usr/share/doc/apvlv/ since it is in
    /etc/apvlvrc

 -- Stefan Ritter <xeno@thehappy.de>  Wed, 09 Dec 2009 16:28:00 +0200

apvlv (0.0.7.5-1) unstable; urgency=low

  * New upstream release
  * Switched from dpatch to quilt

 -- Stefan Ritter <xeno@thehappy.de>  Thu, 19 Nov 2009 23:56:43 +0200

apvlv (0.0.7.4-1) unstable; urgency=low

  * New upstream release
  * Removed debian/conffiles

 -- Stefan Ritter <xeno@thehappy.de>  Wed, 07 Oct 2009 20:11:00 +0200

apvlv (0.0.7.3-1) unstable; urgency=low

  * New upstream release
  * Added apvlvrc to conffiles

 -- Stefan Ritter <xeno@thehappy.de>  Sun, 19 Sep 2009 19:31:00 +0200

apvlv (0.0.7.2-1) unstable; urgency=low

  * New upstream release
  * Improved the long description
  * Added patch that fixes a makefile path problem
    (02-fix-path-in-makefile.dpatch)

 -- Stefan Ritter <xeno@thehappy.de>  Wed, 09 Sep 2009 13:13:13 +0200

apvlv (0.0.6.11-1) unstable; urgency=low

  * New upstream release (Closes: #542231)
  * Added README.source
  * Improved the long description
  * Bumped Standards-Version to 3.8.3, no changes needed

 -- Stefan Ritter <xeno@thehappy.de>  Sun, 30 Aug 2009 19:29:02 +0200

apvlv (0.0.6.10-1) unstable; urgency=low

  * New upstream release

 -- Stefan Ritter <xeno@thehappy.de>  Wed, 29 Jul 2009 10:12:19 +0200

apvlv (0.0.6.8-1) unstable; urgency=low

  * Initial release (Closes: #537230)

 -- Stefan Ritter <xeno@thehappy.de>  Wed, 15 Jul 2009 14:48:33 +0200
