=== debian/control ===
Source: apvlv
Section: text
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Lukas Gaertner <lukas.gaertner@credativ.de>
Homepage: http://code.google.com/p/apvlv/
Build-Depends: debhelper (>= 7), libgtk2.0-dev (>= 2.6.0), libpoppler-glib-dev (>= 0.14.1), libdjvulibre-dev
Standards-Version: 3.9.1

Package: apvlv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PDF viewer with Vim-like behaviour
 apvlv (Alf's PDF Viewer Like Vim) is a small and fast PDF viewer, that uses
 poppler for rendering. Its interface aims to users who like vim behaviour.
 For example opening a PDF file can be done with ':o filename'. apvlv can also
 work with tabs, so you can open multiple files at the same time in one
 program.
