=== debian/watch ===
version = 3
opts=\
downloadurlmangle=s|.*[?]name=(.*?)&.*|http://apvlv.googlecode.com/files/$1|,\
filenamemangle=s|[^/]+[?]name=(.*?)&.*|$1| \
http://code.google.com/p/apvlv/downloads/detail[?]name=apvlv-([0-9.]+).tar.gz&.*
