## apvlv 0.1.5%2Bdfsg

=== debian/changelog ===
apvlv (0.1.5+dfsg-3ubuntu1) focal; urgency=medium

  * Fix FTBFS against Poppler 0.73+ by removing include.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 23 Feb 2020 22:45:59 -0500

apvlv (0.1.5+dfsg-3) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with gcc-7. (Closes: #853317)
  * dh 10.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 30 Aug 2017 00:54:50 +0200

apvlv (0.1.5+dfsg-2) unstable; urgency=low

  * QA upload.
  * Disable APVLV_WITH_HTML to remove the dependency on the
    deprecated libwebkitgtk-3.0-0. (Closes: #866628)

 -- Adrian Bunk <bunk@debian.org>  Sun, 16 Jul 2017 20:26:05 +0300

apvlv (0.1.5+dfsg-1) unstable; urgency=medium

  * QA upload.
  * Set maintainer to QA team (see #798945).
  * New upstream release.  (Closes: #662806)
    - New build dependency: libpoppler-private-dev
    - Build dependency change libgtk2.0-dev -> libgtk-3-dev
    - Drop d/copyright paragraph for autoconf files that are no longer present.
    - Drop obsolete d/desktop.
      Upstream now provides a desktop file.
  * Enable build flags to view HTML and text files.
    - New build dependency: libwebkitgtk-3.0-dev
  * Modernise d/rules:
    - Use dh sequencer
    - Use --parallel
    - Add d/install
    - Append to d/dirs
    - Bump debhelper compat & dependency to 9
    - Enable all hardening
  * Convert d/copyright to DEP-5.
    - Correct upstream license GPL-2 -> GPL-2+.
      See the headers of the source files.
    - Add paragraph for icons, using the copyright file of src:gnome-icon-theme.
  * Update homepage, d/copyright & d/watch for upstream's move to GitHub
    (Closes: #651635, #738772).
    Thanks to Andreas Moog and Matanya Moses for reporting this.
  * Update upstream author's e-mail address in d/copyright.
  * Add myself to copyright paragraph for debian/ subdir.
  * Add gbp.conf to filter 15M of library source code and DLLs without
    source code that are needed only for the Windows build of apvlv.
    - Add Debian version mangle to d/watch.
  * Bump standards version to 3.9.8.
    - Drop obsolete d/menu.
  * Add upstream metadata file.
  * Add doc-base registration for Startup.pdf.
  * Switch to source format 3.0 (quilt).
  * Add 0001-manpage-spelling.patch
  * Add 0002-desktop-file-keywords.patch
  * Add 0003-add-Icon-to-desktop-file.patch
  * Add 0004-debian-paths.patch
  * Add 0005-fix-build-with-GCC-6.patch (Closes: #811839)
  * Add 0006-restore-Debian-CXXFLAGS.patch
  * Add Vcs-* fields.
  * Run wrap-and-sort -abst.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 27 Jun 2016 13:28:54 +0900

apvlv (0.1.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add support for poppler >= 0.18. (Closes: #651851)

 -- Pino Toscano <pino@debian.org>  Tue, 20 Mar 2012 23:11:31 +0100

apvlv (0.1.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add support for poppler >= 0.15. Patch by Pino Toscano. (Closes: #627609)

 -- Michael Biebl <biebl@debian.org>  Wed, 01 Jun 2011 22:18:49 +0200

apvlv (0.1.1-1) unstable; urgency=low

  * Suggest poppler-data
  * Change CMAKE_INSTALL_PREFIX to "/usr"
  * Add cmake to build dependencies
  * Imported Upstream version 0.1.1 (Closes: #558893)
  * Fix debian/watch

 -- Lukas Gaertner <lukas.gaertner@credativ.de>  Mon, 14 Feb 2011 16:29:02 +0100
