=== debian/control ===
Source: apvlv
Section: text
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Homepage: http://naihe2010.github.io/apvlv/
Build-Depends:
 cmake (>= 2.6),
 debhelper (>= 10),
 libdjvulibre-dev,
 libgtk-3-dev,
 libpoppler-glib-dev (>= 0.5.0),
 libpoppler-private-dev,
Standards-Version: 4.1.0
Vcs-Git: https://anonscm.debian.org/git/collab-maint/apvlv.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/apvlv.git

Package: apvlv
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 poppler-data (>= 0.2.0-2),
Description: PDF viewer with Vim-like behaviour
 apvlv (Alf's PDF Viewer Like Vim) is a small and fast PDF viewer, that uses
 poppler for rendering. Its interface aims to users who like vim behaviour.
 For example opening a PDF file can be done with ':o filename'. apvlv can also
 work with tabs, so you can open multiple files at the same time in one
 program.
