=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: apvlv
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Homepage: http://naihe2010.github.io/apvlv/
 Build-Depends:
  cmake (>= 2.6),
