## apvlv 0.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 PROJECT (apvlv)
 
 SET (PROJECT_MAJOR      "0")
-SET (PROJECT_MINOR      "1")
-SET (PROJECT_PATCH      "5")
+SET (PROJECT_MINOR      "2")
+SET (PROJECT_PATCH      "0")
 FIND_PACKAGE (Git)
 IF (GIT_FOUND)
   EXEC_PROGRAM (${GIT_EXECUTABLE}
@@ -37,6 +37,20 @@
     "Directory for documentations of apvlv [PREFIX/share/doc/apvlv]"
     )
   ADD_DEFINITIONS (-DDOCDIR="${DOCDIR}")
+
+  SET (LIBDIR
+    "${CMAKE_INSTALL_PREFIX}/lib/apvlv"
+    CACHE PATH
+    "Directory for lib of apvlv [PREFIX/lib/apvlv]"
+    )
+  ADD_DEFINITIONS (-DLIBDIR="${LIBDIR}")
+
+  SET (PIXMAPDIR
+    "${CMAKE_INSTALL_PREFIX}/share/pixmaps/apvlv"
+    CACHE PATH
+    "Directory for pixmaps of apvlv [PREFIX/share/pixmaps/apvlv]"
+    )
+  ADD_DEFINITIONS (-DPIXMAPDIR="${PIXMAPDIR}")
 
   SET (MANDIR
     "${CMAKE_INSTALL_PREFIX}/share/man"
@@ -75,7 +89,7 @@
 ENDIF (WIN32)
 
 SET (CPACK_PACKAGE_VENDOR "Alf")
-SET (CPACK_PACKAGE_DESCRIPTION_SUMMARY "apvlv - Alf's PDF/DJVU/UMD Viewer like Vim")
+SET (CPACK_PACKAGE_DESCRIPTION_SUMMARY "apvlv - Alf's PDF/DJVU/EPUB Viewer like Vim")
 SET (CPACK_PACKAGE_VERSION_MAJOR ${PROJECT_MAJOR})
 SET (CPACK_PACKAGE_VERSION_MINOR ${PROJECT_MINOR})
 SET (CPACK_PACKAGE_VERSION_PATCH ${PROJECT_PATCH})
@@ -83,10 +97,10 @@
 IF (UNIX)
   SET (CPACK_SET_DESTDIR ON)
   SET (CPACK_PACKAGE_CONTACT "Alf <naihe2010@126.com>")
-  SET (CPACK_GENERATOR RPM DEB)
+  SET (CPACK_GENERATOR DEB)
   SET (CPACK_RPM_PACKAGE_REQUIRES "gtk2")
   SET (CPACK_DEBIAN_PACKAGE_DEPENDS
-    "libpoppler-glib3 (>= 0.8.7-4), poppler-data (>= 0.2.0-2)")
+    "libpoppler-glib8 (>= 0.8.7-4), poppler-data (>= 0.2.0-2)")
 
   SET (CPACK_SOURCE_GENERATOR TGZ)
   SET (CPACK_SOURCE_IGNORE_FILES
