=== src/CMakeLists.txt ===
--- 
+++ 
@@ -23,14 +23,17 @@
   ENDIF (NOT GTK_INCLUDE_DIRS)
 ENDIF (WIN32)
 PKG_CHECK_MODULES (GLIB2 glib-2.0 REQUIRED)
-PKG_CHECK_MODULES (GTHREAD2 gthread-2.0 REQUIRED)
+# PKG_CHECK_MODULES (GTHREAD2 gthread-2.0 REQUIRED)
+PKG_CHECK_MODULES (WEBKIT webkit2gtk-4.0 REQUIRED)
 INCLUDE_DIRECTORIES (${FREETYPE2_INCLUDE_DIRS}
   ${GTK_INCLUDE_DIRS}
   ${GLIB2_INCLUDE_DIRS}
+  ${WEBKIT_INCLUDE_DIRS}
   ${GTHREAD2_INCLUDE_DIRS})
 LINK_DIRECTORIES (${FREETYPE2_LIBRARY_DIRS}
   ${GTK_LIBRARY_DIRS}
   ${GLIB2_LIBRARY_DIRS}
+  ${WEBKIT_LIBRARY_DIRS}
   ${GTHREAD2_LIBRARY_DIRS})
 
 IF (WIN32)
@@ -62,6 +65,8 @@
   ApvlvView.h
   ApvlvWindow.h
   ApvlvCompletion.h
+  ApvlvHtm.h
+  ApvlvEpub.h
   )
 
 SET (SOURCES
@@ -78,6 +83,8 @@
   ApvlvView.cc
   ApvlvWindow.cc
   ApvlvCompletion.cc
+  ApvlvHtm.cc
+  ApvlvEpub.cc
   main.cc
   )
 
@@ -101,27 +108,6 @@
   SET (SOURCES ${SOURCES} ApvlvDjvu.cc)
 ENDIF (APVLV_WITH_DJVU)
 
-OPTION (APVLV_WITH_UMD "If build binary with umd format support." OFF)
-IF (APVLV_WITH_UMD)
-  ADD_DEFINITIONS (-DAPVLV_WITH_UMD)
-
-  IF (WIN32)
-    SET (LIBUMD_DIR ${CMAKE_HOME_DIRECTORY}/win32/libumd-trunk)
-    ADD_SUBDIRECTORY (${LIBUMD_DIR} ${CMAKE_BINARY_DIR}/libumd-build)
-
-    INCLUDE_DIRECTORIES (${LIBUMD_DIR})
-    LINK_DIRECTORIES (${CMAKE_BINARY_DIR}/libumd-build)
-    SET (APVLV_REQ_LIBRARIES umd.lib zdll.lib
-      ${APVLV_REQ_LIBRARIES})
-  ELSE (WIN32)
-    SET (APVLV_REQ_LIBRARIES -lumd
-      ${APVLV_REQ_LIBRARIES})
-  ENDIF (WIN32)
-
-  SET (HEADERS ${HEADERS} ApvlvUmd.h)
-  SET (SOURCES ${SOURCES} ApvlvUmd.cc)
-ENDIF (APVLV_WITH_UMD)
-
 OPTION (APVLV_WITH_TXT "If build binary with txt format support." OFF)
 IF (APVLV_WITH_TXT)
   ADD_DEFINITIONS (-DAPVLV_WITH_TXT)
@@ -130,20 +116,6 @@
   SET (SOURCES ${SOURCES} ApvlvTxt.cc)
 ENDIF (APVLV_WITH_TXT)
 
-OPTION (APVLV_WITH_HTML "If build binary with html format support." OFF)
-IF (APVLV_WITH_HTML)
-  ADD_DEFINITIONS (-DAPVLV_WITH_HTML)
-
-  SET (HEADERS ${HEADERS} ApvlvHtm.h)
-  SET (SOURCES ${SOURCES} ApvlvHtm.cc)
-
-  PKG_CHECK_MODULES (WEBKIT webkitgtk-3.0 REQUIRED)
-  INCLUDE_DIRECTORIES (${WEBKIT_INCLUDE_DIRS})
-  LINK_DIRECTORIES (${WEBKIT_LIBARY_DIRS})
-  SET (APVLV_REQ_LIBRARIES -l${WEBKIT_LIBRARIES}
-    ${APVLV_REQ_LIBRARIES})
-ENDIF (APVLV_WITH_HTML)
-
 ADD_EXECUTABLE (apvlv ${HEADERS} ${SOURCES})
 
 TARGET_LINK_LIBRARIES (apvlv
@@ -151,13 +123,12 @@
   ${GLIB2_LIBRARIES}
   ${GTHREAD2_LIBRARIES}
   ${WEBKIT_LIBRARIES}
+  "-lepub"
+  "-lxml2"
   ${APVLV_REQ_LIBRARIES})
 
 IF (WIN32)
   ADD_DEPENDENCIES (apvlv poppler)
-  IF (APVLV_WITH_UMD)
-    ADD_DEPENDENCIES (apvlv umd)
-  ENDIF (APVLV_WITH_UMD)
 ENDIF (WIN32)
 
 IF (WIN32)
