=== debian/changelog ===
apvlv (0.2.0-2) unstable; urgency=medium

  * QA upload.
  * debian/control:
    + Bump Standards-Version to 4.5.1.
    + Bump debhelper compat to v13.
    + Use Debian GitLab for Vcs-* fields.

 -- Boyuan Yang <byang@debian.org>  Wed, 14 Apr 2021 10:31:23 -0400

apvlv (0.2.0-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
    - Fixes building with latest poppler. (Closes: #971102)

 -- Adrian Bunk <bunk@debian.org>  Mon, 26 Oct 2020 13:39:29 +0200
