=== debian/control ===
--- 
+++ 
@@ -2,17 +2,20 @@
 Section: text
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Homepage: http://naihe2010.github.io/apvlv/
 Build-Depends:
  cmake (>= 2.6),
- debhelper (>= 10),
+ debhelper-compat (= 13),
  libdjvulibre-dev,
  libgtk-3-dev,
  libpoppler-glib-dev (>= 0.5.0),
  libpoppler-private-dev,
-Standards-Version: 4.1.0
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/apvlv.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/apvlv.git
+ libxml2-dev,
+ libwebkit2gtk-4.0-dev,
+ libepub-dev,
+Standards-Version: 4.5.1
+Homepage: http://naihe2010.github.io/apvlv/
+Vcs-Git: https://salsa.debian.org/debian/apvlv.git
+Vcs-Browser: https://salsa.debian.org/debian/apvlv
 
 Package: apvlv
 Architecture: any
