=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -19,8 +19,7 @@
 # cmake is a nice way to install this package's files, but it gets a
 # few things wrong.  We run dh_auto_install and then tidy up.  Also
 # see the d/install file.
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	rm debian/apvlv/usr/share/doc/apvlv/Startup.tex
 	mv debian/apvlv/usr/share/doc/apvlv/apvlvrc.example \
 		debian/apvlv/usr/share/doc/apvlv/examples/
