=== debian/changelog ===
apvlv (0.4.0-2) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 05 Oct 2021 17:40:45 -0400

apvlv (0.3.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Fri, 03 Sep 2021 19:19:18 -0400
