=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
- cmake (>= 2.6),
+ cmake (>= 3.1),
  debhelper-compat (= 13),
+ ghostscript,
  libdjvulibre-dev,
+ libepub-dev,
  libgtk-3-dev,
  libpoppler-glib-dev (>= 0.5.0),
  libpoppler-private-dev,
+ libwebkit2gtk-4.0-dev,
  libxml2-dev,
- libwebkit2gtk-4.0-dev,
- libepub-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: http://naihe2010.github.io/apvlv/
 Vcs-Git: https://salsa.debian.org/debian/apvlv.git
 Vcs-Browser: https://salsa.debian.org/debian/apvlv
