=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,6 @@
 # few things wrong.  We run dh_auto_install and then tidy up.  Also
 # see the d/install file.
 execute_after_dh_auto_install:
-	rm debian/apvlv/usr/share/doc/apvlv/Startup.tex
 	mv debian/apvlv/usr/share/doc/apvlv/apvlvrc.example \
 		debian/apvlv/usr/share/doc/apvlv/examples/
 	mv debian/apvlv/usr/share/doc/apvlv/main_menubar.glade \
