=== debian/watch ===
version=4
opts="mode=git,dversionmangle=s/\+dfsg\d*$//" \
https://github.com/naihe2010/apvlv refs/tags/v([\d\.\d\.]+) debian
